%define major   1
%define libname %mklibname adwaita-qt5_ %{major}
%define devname %mklibname adwaita-qt5 -d

Name:           adwaita-qt5
Version:        1.2.0
Release:        %mkrel 2
License:        LGPLv2+
Summary:        Adwaita theme for Qt-based applications
Group:          Graphical desktop/KDE5

Url:            https://github.com/MartinBriza/adwaita-qt
Source0:        https://github.com/MartinBriza/adwaita-qt/archive/%{version}/adwaita-qt-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

Obsoletes: adwaita-qt-common
Obsoletes: adwaita-qt
Obsoletes: adwaita-qt4

%description
Theme to let Qt applications fit nicely into a GTK+ desktop environment.


%package -n %{devname}
Summary:        Development files for libadwaita-qt5
Group:          Graphical desktop/KDE5
Requires:       %{name} = %{version}-%{release}
Provides:       adwaita-qt5-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use libadwaita-qt5.

%prep
%setup -qn adwaita-qt-%{version}
%apply_patches

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_libdir}/qt5/plugins/styles/adwaita.so
%{_libdir}/libadwaitaqt.so.%{major}*
%{_libdir}/libadwaitaqtpriv.so.%{major}*

%files -n %{devname}
%{_includedir}/AdwaitaQt/
%{_libdir}/cmake/AdwaitaQt/
%{_libdir}/pkgconfig/adwaita-qt.pc
%{_libdir}/libadwaitaqt.so
%{_libdir}/libadwaitaqtpriv.so


%changelog
* Tue Sep 20 2022 tex - 1.2.0-2pclos2022
- rebuild against updates

* Tue Dec 22 2020 tex - 1.2.0-1pclos2020
- new version: 1.2.0
